Bug 442662 - iwl3945 failure on hp nc6320
iwl3945 failure on hp nc6320
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 00:35 EDT by Alex Chiang
Modified: 2008-06-27 16:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.25.6-55.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 16:08:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iwl3495 debug output from dmesg (10.72 KB, text/plain)
2008-04-16 00:35 EDT, Alex Chiang
no flags Details

  None (edit)
Description Alex Chiang 2008-04-16 00:35:23 EDT
Fresh install of F8 on my nc6320. Did a yum upgrade and rebooted. No wireless
connectivity.

[achiang@ethanol ~]$ uname -a
Linux ethanol 2.6.24.4-64.fc8 #1 SMP Sat Mar 29 09:54:46 EDT 2008 i686 i686 i386
GNU/Linux

From an lspci -v:

08:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 135b
        Flags: fast devsel, IRQ 16
        Memory at d4000000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: <access denied>
        Kernel driver in use: iwl3945
        Kernel modules: iwl3945

[achiang@ethanol ~]$ lsmod | grep iwl
iwl3945               159669  0 
mac80211              191541  1 iwl3945
cfg80211               26697  2 iwl3945,mac80211

From /var/log/messages:
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_mac_start enter
Apr 15 22:10:33 localhost kernel: ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 16
(level, low) -> IRQ 16
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode Got firmware
'iwlwifi-3945-1.ucode' file (149652 bytes) from disk
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode f/w package hdr
ucode version = 0x20e0105
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode f/w package hdr
runtime inst size = 80524
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode f/w package hdr
runtime data size = 32768
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode f/w package hdr
init inst size = 2668
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode f/w package hdr
init data size = 32768
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode f/w package hdr
boot inst size = 900
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode Copying (but not
loading) uCode instr len 80524
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode uCode instr buf
vaddr = 0xefcc0000, paddr = 0x2fcc0000
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode Copying (but not
loading) uCode data len 32768
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode Copying (but not
loading) init instr len 2668
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode Copying (but not
loading) init data len 32768
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_read_ucode Copying (but not
loading) boot instr len 900
Apr 15 22:10:33 localhost kernel: iwl3945: Radio disabled by HW RF Kill switch
Apr 15 22:10:33 localhost kernel: ACPI: PCI interrupt for device 0000:08:00.0
disabled
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_mac_start leave - failed
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_mac_start enter
Apr 15 22:10:33 localhost kernel: ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 16
(level, low) -> IRQ 16
Apr 15 22:10:33 localhost kernel: iwl3945: Radio disabled by HW RF Kill switch
Apr 15 22:10:33 localhost kernel: ACPI: PCI interrupt for device 0000:08:00.0
disabled
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_mac_start leave - failed
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_mac_start enter
Apr 15 22:10:33 localhost kernel: ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 16
(level, low) -> IRQ 16
Apr 15 22:10:33 localhost kernel: iwl3945: Radio disabled by HW RF Kill switch
Apr 15 22:10:33 localhost kernel: ACPI: PCI interrupt for device 0000:08:00.0
disabled
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_mac_start leave - failed
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_mac_start enter
Apr 15 22:10:33 localhost kernel: ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 16
(level, low) -> IRQ 16
Apr 15 22:10:33 localhost kernel: iwl3945: Radio disabled by HW RF Kill switch
Apr 15 22:10:33 localhost kernel: ACPI: PCI interrupt for device 0000:08:00.0
disabled
Apr 15 22:10:33 localhost kernel: iwl3945: U iwl3945_mac_start leave - failed
Apr 15 22:10:33 localhost kernel: audit(1208319031.622:3): audit_pid=2174 old=0
by auid=4294967295

And before you ask -- my hardware button that turns wifi on/off is set in the
"on" position. :)
Comment 1 Alex Chiang 2008-04-16 00:35:23 EDT
Created attachment 302547 [details]
iwl3495 debug output from dmesg
Comment 2 John W. Linville 2008-04-16 08:55:59 EDT
Could you try -82.fc8?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=46311

Does that work any better?
Comment 3 Alex Chiang 2008-04-16 11:18:55 EDT
No love, output in /var/log/messages and /var/log/dmesg looks the same as before.

[achiang@ethanol ~]$ uname -a
Linux ethanol 2.6.24.4-82.fc8 #1 SMP Tue Apr 15 19:19:07 EDT 2008 i686 i686 i386
GNU/Linux
Comment 4 John W. Linville 2008-04-16 11:32:27 EDT
Some laptops have more problems than others...I'm not sure why...
Comment 5 Alex Chiang 2008-06-25 12:52:42 EDT
Upgraded to F9.

After the kernel launches init and starts starting services, there's a long
timeout before it gives up trying to get a dhcp address for wlan0.

However, once X starts, NetworkManager starts up, does whatever magic, and all
of a sudden I have wireless working.

So I'm half-happy -- wireless does end up working, but I get annoyed during boot
during the long pause / timeout.
Comment 6 John W. Linville 2008-06-25 14:26:36 EDT
Run system-config-network and disable the wireless device from starting on boot.

What F9 kernel are you running?
Comment 7 Alex Chiang 2008-06-27 15:27:11 EDT
Yup, system-config-network worked great, thanks.

[achiang@ethanol ~]$ uname -a
Linux ethanol 2.6.25.6-55.fc9.i686 #1 SMP Tue Jun 10 16:27:49 EDT 2008 i686 i686
i386 GNU/Linux

Note You need to log in before you can comment on or make changes to this bug.